Page MenuHomePhabricator

[Driver][CodeGen] Support -fpatchable-function-entry=N,M and __attribute__((patchable_function_entry(N,M))) where M>0
ClosedPublic

Authored by MaskRay on Jan 20 2020, 4:44 PM.

Diff Detail

Event Timeline

MaskRay created this revision.Jan 20 2020, 4:44 PM
Herald added a project: Restricted Project. · View Herald TranscriptJan 20 2020, 4:44 PM
Herald added a subscriber: cfe-commits. · View Herald Transcript
MaskRay retitled this revision from [Driver][CodeGen] Support -fpatchable-function-prefix=N,M where M>0 to [Driver][CodeGen] Support -fpatchable-function-entry=N,M where M>0.

Unit tests: fail. 62040 tests passed, 2 failed and 783 were skipped.

failed: Clang.CodeGen/patchable-function-entry.c
failed: Clang.Driver/fpatchable-function-entry.c

clang-tidy: unknown.

clang-format: fail. Please format your changes with clang-format by running git-clang-format HEAD^ or applying this patch.

Build artifacts: diff.json, clang-format.patch, CMakeCache.txt, console-log.txt, test-results.xml

nickdesaulniers accepted this revision.Jan 21 2020, 10:30 AM

LGTM, thanks for the patch!

This revision is now accepted and ready to land.Jan 21 2020, 10:30 AM
MaskRay updated this revision to Diff 239400.Jan 21 2020, 12:11 PM

Improve tests

Unit tests: fail. 62081 tests passed, 2 failed and 784 were skipped.

failed: Clang.Driver/cc-print-options.c
failed: Clang.Driver/fpatchable-function-entry.c

clang-tidy: unknown.

clang-format: fail. Please format your changes with clang-format by running git-clang-format HEAD^ or applying this patch.

Build artifacts: diff.json, clang-format.patch, CMakeCache.txt, console-log.txt, test-results.xml

nickdesaulniers accepted this revision.Jan 21 2020, 1:21 PM
MaskRay updated this revision to Diff 240064.Jan 23 2020, 5:00 PM
MaskRay retitled this revision from [Driver][CodeGen] Support -fpatchable-function-entry=N,M where M>0 to [Driver][CodeGen] Support -fpatchable-function-entry=N,M and __attribute__((patchable_function_entry(N,M))) where M>0.

Fix Driver test

This revision was automatically updated to reflect the committed changes.

Unit tests: unknown.

clang-tidy: unknown.

clang-format: unknown.

Build artifacts: diff.json, console-log.txt

Pre-merge checks is in beta. Report issue. Please join beta or enable it for your project.